### Hierarchy

- ExpandArrayProps
  - ExpandArrayContainerProps

## Index

### Properties

- classes
- connectDropTarget
- containmentProps
- filterPredicate
- handlers
- imageProvider
- isDragging
- isOver
- labelProvider
- path
- rootData
- selection
- validDropTarget

### Methods

- moveListItem

## Properties

### Optional classes

classes: any

- Defined in tree/ExpandArray.tsx:103

### Optional connectDropTarget

connectDropTarget: any

- Defined in tree/ExpandArray.tsx:96

### Optional containmentProps

containmentProps: Property[]

Inherited from ExpandArrayProps.containmentProps

- Defined in tree/ExpandArray.tsx:31

### filterPredicate

filterPredicate: any

Inherited from ExpandArrayProps.filterPredicate

- Defined in tree/ExpandArray.tsx:35

### handlers

handlers: any

Inherited from ExpandArrayProps.handlers

- Defined in tree/ExpandArray.tsx:34

### imageProvider

imageProvider: any

Inherited from ExpandArrayProps.imageProvider

- Defined in tree/ExpandArray.tsx:37

### Optional isDragging

isDragging: boolean

- Defined in tree/ExpandArray.tsx:98

True if drag and drop is currently in progress.

### Optional isOver

isOver: boolean

- Defined in tree/ExpandArray.tsx:100

The dragged element is over this expanded array excluding nested arrays.

### labelProvider

labelProvider: any

Inherited from ExpandArrayProps.labelProvider

- Defined in tree/ExpandArray.tsx:36

### path

path: string

Inherited from ExpandArrayProps.path

- Defined in tree/ExpandArray.tsx:32

### rootData

rootData: any

Inherited from ExpandArrayProps.rootData

- Defined in tree/ExpandArray.tsx:30

### selection

selection: any

Inherited from ExpandArrayProps.selection

- Defined in tree/ExpandArray.tsx:33

### Optional validDropTarget

validDropTarget: boolean

- Defined in tree/ExpandArray.tsx:102

Whether this list is a valid drop target for the currently dragged element.

## Methods

### Optional moveListItem

- moveListItem(data: any, oldPath: string, newPath: string): boolean

- - Defined in tree/ExpandArray.tsx:104

  #### Parameters

  - ##### data: any

  - ##### oldPath: string

  - ##### newPath: string

  #### Returns boolean

Generated using TypeDoc